<?php
/**
 * Typography
 *
 * @package Corporaze
 */

$wp_customize->add_section(
	'corporaze_typography',
	array(
		'panel' => 'corporaze_theme_options',
		'title' => esc_html__( 'Typography', 'corporaze' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'corporaze_site_title_font',
	array(
		'default'           => 'Lato',
		'sanitize_callback' => 'corporaze_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'corporaze_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'corporaze' ),
		'section'  => 'corporaze_typography',
		'settings' => 'corporaze_site_title_font',
		'type'     => 'select',
		'choices'  => corporaze_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'corporaze_site_description_font',
	array(
		'default'           => 'Roboto',
		'sanitize_callback' => 'corporaze_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'corporaze_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'corporaze' ),
		'section'  => 'corporaze_typography',
		'settings' => 'corporaze_site_description_font',
		'type'     => 'select',
		'choices'  => corporaze_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'corporaze_header_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'corporaze_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'corporaze_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'corporaze' ),
		'section'  => 'corporaze_typography',
		'settings' => 'corporaze_header_font',
		'type'     => 'select',
		'choices'  => corporaze_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'corporaze_body_font',
	array(
		'default'           => 'Roboto',
		'sanitize_callback' => 'corporaze_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'corporaze_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'corporaze' ),
		'section'  => 'corporaze_typography',
		'settings' => 'corporaze_body_font',
		'type'     => 'select',
		'choices'  => corporaze_get_all_google_font_families(),
	)
);
